//
//  ScaryBugsAppDelegate.m
//  ScaryBugs
//
//  Created by chrisfarrell on 4/29/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "ScaryBugsAppDelegate.h"
#import "ScaryBugsMasterViewController.h"
#import "ScaryBugsDoc.h"

@implementation ScaryBugsAppDelegate

@synthesize window = _window;

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    ScaryBugsDoc* bug1 = [[ScaryBugsDoc alloc] initWithTitle:@"Potato Bug" rating:4 thumb:[UIImage imageNamed:@"potatoBugThumb.jpg"] full:[UIImage imageNamed:@"potatoBug.jpg"]];
    ScaryBugsDoc* bug2 = [[ScaryBugsDoc alloc] initWithTitle:@"Centipede" rating:3 thumb:[UIImage imageNamed:@"centipedeThumb.jpg"] full:[UIImage imageNamed:@"centipede.jpg"]];
    ScaryBugsDoc* bug3 = [[ScaryBugsDoc alloc] initWithTitle:@"Wolf Spider" rating:5 thumb:[UIImage imageNamed:@"wolfSpiderThumb.jpg"] full:[UIImage imageNamed:@"wolfSpider.jpg"]];
    ScaryBugsDoc* bug4 = [[ScaryBugsDoc alloc] initWithTitle:@"Lady Bug" rating:1 thumb:[UIImage imageNamed:@"ladybugThumb.jpg"] full:[UIImage imageNamed:@"ladybug.jpg"]];
    NSMutableArray* bugs = [[NSMutableArray alloc] initWithObjects:bug1,bug2,bug3,bug4,nil];
    
    UINavigationController* navcontroller = (UINavigationController*) self.window.rootViewController;
    ScaryBugsMasterViewController* masterController = [navcontroller.viewControllers objectAtIndex:0];
    masterController.bugs = bugs;
    
    return YES;
}
							
- (void)applicationWillResignActive:(UIApplication *)application
{
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
}

- (void)applicationDidEnterBackground:(UIApplication *)application
{
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later. 
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}

- (void)applicationWillEnterForeground:(UIApplication *)application
{
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
}

- (void)applicationDidBecomeActive:(UIApplication *)application
{
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}

- (void)applicationWillTerminate:(UIApplication *)application
{
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}

@end
